#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC7,0xF7,0xCA,0xF5,0xCE,0xB6,0x12,0x8B,0x23,0x74,0xA2,0xDD,
		0xF5,0x4C,0xF4,0xE0,0xD5,0xE9,0xFE,0x30,0x4D,0x0D,0x50,0x2E,
		0xD5,0x14,0xD9,0xF5,0xFC,0x46,0xC3,0x94,0x3D,0x3D,0xCA,0x03,
		0xD8,0x4E,0x66,0x47,0x65,0x6A,0x87,0x2E,0x76,0x6F,0xB1,0x27,
		0x99,0xFB,0x4E,0x97,0x68,0x46,0x5A,0x0F,0x28,0xD7,0xA4,0x70,
		0xBA,0x7E,0xF1,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
